Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036956
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagerminorhave not tried2017-09-26 15:522017-11-24 09:25
ReporterinigosanchezView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036956: Some warnings appear (when it shouldn't) in "ret-api" job is executed.

DescriptionSome warnings appear (when it shouldn't) in "ret-api" job is executed:
...................................
 [checkAPI] 10672 INFO - Loading and applying configuration scripts
 [checkAPI] 10677 INFO - Applying data part of configuration script: org.openbravo.retail.pack
 [checkAPI] 10679 INFO - Loading configuration script: /srv/ci/workspace/ret-api/SANDBOX/api-checks/model/modules/org.openbravo.retail.pack/src-db/database/configScript.xml
 [checkAPI] Warning: old value in row not equal to expected one. Table:[AD_TAB] PK[: 800222] Old Value found: Y Old value expected N
 [checkAPI] Warning: old value in row not equal to expected one. Table:[AD_TAB] PK[: 800223] Old Value found: Y Old value expected N
...................................

The CheckAPIDistribution task is not working as expected if you execute the task as follows (same as ret-api):

ant run.api.test.model -DstableDBdir=/srv/ci/workspace/try-ret-api/SANDBOX/api-checks/model -Dmodules=org.openbravo.retail.pack,org.openbravo.retail.config,org.openbravo.retail.posterminal,org.openbravo.retail.poshwmanager,org.openbravo.retail.discounts,org.openbravo.mobile.core,org.openbravo.retail.sampledata,org.openbravo.retail.returns

These modules (-Dmodules=...) are used to load the data from their source data (xml). This generates the problem because the loaded data is used to find all the templates and for this reason core template is not found and is not applied as expected.
Steps To Reproduce*Having an instance with the modules of retail execute CheckAPIDistribution task as follows:

- Execute ant run.api.test.model -DstableDBdir=. -Dmodules=org.openbravo.retail.pack,org.openbravo.retail.config,org.openbravo.retail.posterminal,org.openbravo.retail.poshwmanager,org.openbravo.retail.discounts,org.openbravo.mobile.core,org.openbravo.retail.sampledata,org.openbravo.retail.returns
- See warnings in console log:
 [checkAPI] Warning: old value in row not equal to expected one. Table:[AD_TAB] PK[: 800222] Old Value found: Y Old value expected N
 [checkAPI] Warning: old value in row not equal to expected one. Table:[AD_TAB] PK[: 800223] Old Value found: Y Old value expected N
Proposed SolutionThe solution could be include javapackages of the core modules into the modulesList [1]. The data is loaded from the list of modules inside moduleList. The data changes defined in retail template will be applied as expected because core template is applied before.

[1].- https://code.openbravo.com/erp/devel/dbsm-main/file/5711f00fc293/src/org/openbravo/ddlutils/task/CheckAPIDistribution.java#l96 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036950 closedinigosanchez CheckAPIDistribution task is not working as expected 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-09-26 15:52 inigosanchez New Issue
2017-09-26 15:52 inigosanchez Assigned To => platform
2017-09-26 15:52 inigosanchez Modules => Core
2017-09-26 15:52 inigosanchez Triggers an Emergency Pack => No
2017-09-26 15:54 inigosanchez Relationship added related to 0036950
2017-10-04 10:30 inigosanchez Proposed Solution updated
2017-11-24 09:25 caristu Status new => acknowledged


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker